FULLY pagelines compatible themes with bbpress and buddypress

5 posts in this topic

Hi guys,


After realising it was simply impossible (?) to use Platform theme together with Buddypress, i've been looking around for a while and finding contradictory information.




Could someone please post what PageLines themes are really and fully compatible both with bbPress and Buddypress?

Share this post

Link to post
Share on other sites



Platform Pro is now considered a legacy theme and is no longer compatible with bbPress or Buddypress. If you wish to have bbPress, BuddyPress compatibility  we recommend upgrading to PageLines Framework.

Share this post

Link to post
Share on other sites

Hi Danny, thanks for your reply!


Just to make sure, are we talking about the same PageLines free theme available from WP admin ("by arpowers"): http://wordpress.org/extend/themes/pagelines?


Have the issues mentioned here have been solved?: http://www.pagelines.com/forum/topic/11604-need-step-by-step-instructions-for-buddypress-and-platform-pro/ (post #13 by Rob).


I wouldn't like to change the theme and customize all the plugins (would be the third time) just to realise at the end that buddypress and buddypress courseware won't work on it.

Share this post

Link to post
Share on other sites

The topic you link is regarding Platform Pro, Platform Pro and PageLines Framework are two separate products. bbPress and BuddyPress should work with PageLines Lite although, with the lite version having options/settings missing that are only available in the Pro version, some things may not be possible.


I haven't actually ever checked bbPress/BuddyPress on PageLines Lite.

Share this post

Link to post
Share on other sites

Ok, thanks again for your help!

Share this post

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Similar Content

    • Remove "this post was last edited"
      By JudithKlinger+
      I want to remove the 'this post was last edited by xxxxx at xxxxx date/time. 
      In going thru the Codex, this appears to be a theme setting? Is that correct? How do I remove it? 
      Thank you,
    • bbpress 2.5.7: white page
      By camaran+
      If i install bbpress 2.5.7 i have a white page in article content and in other page content, can you check if contect section work with the last versione of bbpress?
      From my test it's bbpress login widget to give me problem
    • Viewer_v1.0.1.zip; theme is missing the style.css stylesheet
      By JimP
      For some reason, I can't install this theme, as per below "missing style.css stylesheet" ...any ideas? thank you. Jim Installing Theme from uploaded file: Viewer_v1.0.1.zip Unpacking the package…
      Installing the theme…
      The package could not be installed. The theme is missing the style.css stylesheet.
      Theme install failed.
    • New Themes, Cant View Live Preview
      By b1mills
      I have bought whitehousepro themes, and these themes has been uploaded, but at the moment in the reviews are not visible. please help step by step to install these themes, thanks.
    • Since latest update all iframes and embedded items are not displaying correctly
      By dgsarnow+
      Since the update to the DMS theme, all my embedded iframes and forms are not displaying properly. They are clipping at a short height regardless of what is indicated for the height in the iframe code. This is affecting Google Maps, Slideshare and Wufoo.
      Below is a slideshare embed being cunched down.

      Here is a Wufoo form being clipped

      Please let me know what further information I can share to get to the bottom of this.